drvgen - Task #19604

Remove redundant or unnecessarily long references from template code
04/09/2018 02:15 PM - John Diamond

Status: New Start date: 04/09/2018
Priority: Normal Due date:

Assignee: Elliott McCrory % Done: 90%
Category: Estimated time: 40.00 hours
Target version: Spent time: 8.00 hours
Description

Lots of template code has unnecessarily long and redundant references to simple variables that could be cleaned up to make the
templates a lot less cluttered.

I'll post some specific examples in the comments section...

History

#1 - 04/09/2018 02:23 PM - John Diamond

For example, see source:/templates/linux/kernel/api.h.tpl -

#ifndef <?php echo strtoupper( S$this->_dg->1linuxGet () ->moduleNameGet () ); ?>API_H

#define <?php echo strtoupper ( $this->_dg->linuxGet () ->moduleNameGet () ); ?>API_H

// Maximum number of devices support

#define <?php echo strtoupper( $this->_dg->1linuxGet () ->moduleNameGet () ); ?>_DEVICES 16

// Driver name

#define <?php echo strtoupper ( $this->_dg->1linuxGet () ->moduleNameGet () ); ?>_DRIVER_NAME "<?php echo strtouppe
r( $this->_dg->linuxGet () ->moduleNameGet () ); ?2>"

// Driver version

#define <?php echo strtoupper ( $this->_dg->1linuxGet () ->moduleNameGet () ); ?>_DRIVER_VERSION "v0.0.l-developmen
t"

This could be improved by exporting a variable before executing the template -

SMODULE_NAME = strtoupper ( $this->_dg->1linuxGet () ->moduleNameGet () );

And the template would be a little more tidy:

#ifndef <?php echo S$SMODULE_NAME; ?>API_H

#define <?php echo S$SMODULE_NAME; ?>API_H

// Maximum number of devices support

#define <?php echo $SMODULE_NAME; ?>_DEVICES 16

// Driver name

#define <?php echo S$MODULE_NAME; ?>_DRIVER_NAME "<?php echo $MODULE_NAME; ?>"
// Driver version

#define <?php echo $MODULE_NAME; ?>_DRIVER_VERSION "v0.0.l-development"

#2 - 04/09/2018 03:25 PM - John Diamond
- Assignee set to Elliott McCrory

#3 - 04/11/2018 12:09 PM - Elliott McCrory
- % Done changed from 0 to 90

Ready for verification that this task is completed.
